SystemOrganization addCategory: #BaselineOfHomework!

BaselineOf subclass: #BaselineOfHomework
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'BaselineOfHomework'!

!BaselineOfHomework commentStamp: 'allerschema 1/10/2019 11:11' prior: 0!
I specify the project dependencies and packages !

!BaselineOfHomework methodsFor: 'baselines' stamp: 'allerschema 1/10/2019 14:00'!
baseline: spec
	"baselines"

	<baseline>
	spec
		for: #common
		do: [ spec preLoadDoIt: #preload:package:.
			spec postLoadDoIt: #postload:package:.
			"Dependencies"
			self
				baselineForRoassal2Spec: spec;
				baselineForClassNamesAnalyzer: spec;
				baselineForColors: spec.
			"Packages"
			spec
				package: 'Homework'
				with: [ spec requires: #('Roassal2' 'ClassNamesAnalyzer' 'ColorsExtensions') ] ]! !

!BaselineOfHomework methodsFor: 'baselines' stamp: 'allerschema 1/10/2019 11:16'!
baselineForClassNamesAnalyzer: spec
	spec
		project: 'ClassNamesAnalyzer'
		with: [ spec
				className: #ConfigurationOfClassNamesAnalyzer;
				versionString: #'AbdelghaniAlidra.31';
				repository: 'http://smalltalkhub.com/mc/Alidra/ClassNamesAnalyzer/main/' ]! !

!BaselineOfHomework methodsFor: 'baselines' stamp: 'allerschema 1/10/2019 13:59'!
baselineForColors: spec
	 spec
    	baseline: 'ColorsExtensions'
    	with: [ spec repository: 'github://pharo-contributions/ColorsExtensions:master/src' ]! !

!BaselineOfHomework methodsFor: 'baselines' stamp: 'allerschema 1/10/2019 14:04'!
baselineForRoassal2Spec: spec
	spec
		project: 'Roassal2'
		with: [ spec
				className: #ConfigurationOfRoassal2;
				versionString: #stable;
				loads: #('NoGlamour');
				repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal2/main/' ]! !

!BaselineOfHomework methodsFor: 'baselines' stamp: 'allerschema 1/10/2019 11:43'!
postload: loader package: packageSpec

  Transcript crLog: 'Project loaded!!'! !

!BaselineOfHomework methodsFor: 'baselines' stamp: 'allerschema 1/10/2019 11:43'!
preload: aloader package: packageSpec
	Transcript crLog: 'The fetching is finish. wait until loading finish'! !
